Bug 1461756 - (CVE-2017-9604) CVE-2017-9604 kmail: Send Later with Delay bypasses OpenPGP
CVE-2017-9604 kmail: Send Later with Delay bypasses OpenPGP
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170613,reported=2...
: Security
Depends On: 1461757 1461758 1461759 1461760 1461761
Blocks: 1461766
  Show dependency treegraph
 
Reported: 2017-06-15 05:30 EDT by Adam Mariš
Modified: 2017-09-06 09:49 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that KMail's Send Later with Delay function bypassed OpenPGP signing and encryption, causing the message to be sent unsigned and in plain-text. A remote attacker, with access to the user's network traffic, could potentially use this flaw to obtain sensitive information from the plain-text email messages.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-06 07:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-15 05:30:55 EDT
KDE kmail before 5.5.2 and messagelib before 5.5.2, as distributed in KDE Applications before 17.04.2, do not ensure that a plugin's sign/encrypt action occurs during use of the Send Later feature, which allows remote attackers to obtain sensitive information by sniffing the network.

Upstream fixes:

kmail: https://commits.kde.org/kmail/78c5552be2f00a4ac25bd77ca39386522fca70a8
messagelib: https://commits.kde.org/messagelib/c54706e990bbd6498e7b1597ec7900bc809e8197

External References:

https://www.kde.org/info/security/advisory-20170615-1.txt
Comment 1 Adam Mariš 2017-06-15 05:33:50 EDT
Created kdepim3 tracking bugs for this issue:

Affects: epel-7 [bug 1461761]
Affects: fedora-all [bug 1461759]


Created kdepim4 tracking bugs for this issue:

Affects: fedora-all [bug 1461758]


Created kf5-messagelib tracking bugs for this issue:

Affects: fedora-all [bug 1461757]


Created kmail tracking bugs for this issue:

Affects: fedora-all [bug 1461760]
Comment 2 Ngo Than 2017-06-19 11:52:52 EDT
> 
> Created kdepim4 tracking bugs for this issue:
> 
> Affects: fedora-all [bug 1461758]

fixed in kdepim4-4.14.10-31

> 
> Created kf5-messagelib tracking bugs for this issue:
> 
> Affects: fedora-all [bug 1461757]
> 

fixed in kf5-messagelib-16.12.3-2.fc25 and kf5-messagelib-17.04.1-2.fc26 

> 
> Created kmail tracking bugs for this issue:
> 
> Affects: fedora-all [bug 1461760]

fixed in kmail-17.04.1-3.fc26 and kmail-16.12.3-2.fc25

Note You need to log in before you can comment on or make changes to this bug.